## EphySearchEntry EphySearchEntry — A search entry widget |

## Synopsis

                        EphySearchEntry;
    GtkWidget *         ephy_search_entry_new               (void);
    void                ephy_search_entry_clear             (EphySearchEntry *entry);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkEntry
                               +----EphySearchEntry

## Implemented Interfaces

EphySearchEntry implements AtkImplementorIface, GtkBuildable, GtkEditable and GtkCellEditable.

## Signals

      "search"                                         : Run Last

## Description

EphySearchEntry implements a GtkEntry for handling user search input. It implements a search timeout and easy cleaning.

## Details

### EphySearchEntry

    typedef struct _EphySearchEntry EphySearchEntry;

### ephy_search_entry_new ()

    GtkWidget *         ephy_search_entry_new               (void);

Creates a new EphySearchEntry.

Returns : | a new EphySearchEntry, as a GtkWidget

### ephy_search_entry_clear ()

    void                ephy_search_entry_clear             (EphySearchEntry *entry);

Clears the text of the internal GtkEntry of `entry`.

`entry` : | an EphySearchEntry

## Signal Details

### The `"search"` signal

    void                user_function                      (EphySearchEntry *entry,
                                                            gchar           *text,
                                                            gpointer         user_data)      : Run Last

Emitted when the user activates the search entry after introducing text.

`entry` : | the object on which the signal is emitted
`text` : | the text introduced by the user
`user_data` : | user data set when the signal handler was connected.

## See Also

GtkEntry